<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList tr:even").addClass("stripe1");
        $("#theList tr:odd").addClass("stripe2");

        $("#theList tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });
		
	$("#close").click(function(){
		document.location='?module=data_kar';
	});
});		
</script>

<?php
include '../../inc/inc.koneksi.php';
include '../../inc/fungsi_tanggal.php';

$kode	= $_GET['kode'];
$tanggal=date('Y-m-d');
$th_now = (int) substr($tanggal, 0, 4);
$bl_now = (int) substr($tanggal, 5, 2);
$tg_now = (int) substr($tanggal, 8, 2);

$query	= "SELECT * FROM departemen INNER JOIN karyawan on karyawan.kode_dep = departemen.kode_dep WHERE kode_kar='$kode' ORDER BY kode_kar";
$data= mysql_query($query);

$r_data=mysql_fetch_array($data);
	$th_masuk = (int) substr($r_data['tanggal_msk'], 0, 4);
	$bl_masuk = (int) substr($r_data['tanggal_msk'], 5, 2);
	$tg_masuk = (int) substr($r_data['tanggal_msk'], 8, 2);
	$th_lahir = (int) substr($r_data['tanggal_lhr'], 0, 4);
	$bl_lahir = (int) substr($r_data['tanggal_lhr'], 5, 2);
	$tg_lahir = (int) substr($r_data['tanggal_lhr'], 8, 2);
				
	$jt_masuk=$th_now-$th_masuk-1;
	$jt_lahir=$th_now-$th_lahir-1;			
	$jb_masuk=12-$bl_masuk+$bl_now-1;
	$jb_lahir=12-$bl_lahir+$bl_now-1;			
	$kb_masuk = $th_masuk;
	$kb_lahir = $th_lahir;
	
	while($kb_masuk>4){
		$kb_masuk = $kb_masuk-4;
	}
	while($kb_lahir>4){
		$kb_lahir = $kb_lahir-4;
	}
			
	if($bl_masuk==1)
		$jh_masuk=31-$tg_masuk+$tg_now;
		if($jh_masuk>30){
			$jh_masuk=$jh_masuk-31;
			$jb_masuk=$jb_masuk+1;
		}
	else  if($bl_masuk=2)
		if($kb_masuk==0){
			$jh_masuk=29-$tg_masuk+$tg_now;
			if($jh_masuk>28){
				$jh_masuk=$jh_masuk-29;
				$jb_masuk=$jb_masuk+1;
			}
		}else{
			$jh_masuk=28-$tg_masuk+$tg_now;
			if($jh_masuk>27){
				$jh_masuk=$jh_masuk-28;
				$jb_masuk=$jb_masuk+1;
			}
		}
	else if($bl_masuk==3)
		$jh_masuk=31-$tg_masuk+$tg_now;
		if($jh_masuk>30){
			$jh_masuk=$jh_masuk-31;
			$jb_masuk=$jb_masuk+1;
		}
	else if($bl_masuk==4)
		$jh_masuk=30-$tg_masuk+$tg_now;
		if($jh_masuk>29){
			$jh_masuk=$jh_masuk-30;
			$jb_masuk=$jb_masuk+1;
		}
	else if($bl_masuk==5)
		$jh_masuk=31-$tg_masuk+$tg_now;
		if($jh_masuk>30){
			$jh_masuk=$jh_masuk-31;
			$jb_masuk=$jb_masuk+1;
		}
	else if($bl_masuk==6)
		$jh_masuk=30-$tg_masuk+$tg_now;
		if($jh_masuk>29){
			$jh_masuk=$jh_masuk-30;
			$jb_masuk=$jb_masuk+1;
		}
	else if($bl_masuk==7)
		$jh_masuk=31-$tg_masuk+$tg_now;
		if($jh_masuk>30){
			$jh_masuk=$jh_masuk-31;
			$jb_masuk=$jb_masuk+1;
		}
	else if($bl_masuk==8)
		$jh_masuk=31-$tg_masuk+$tg_now;
		if($jh_masuk>30){
			$jh_masuk=$jh_masuk-31;
			$jb_masuk=$jb_masuk+1;
		}
	else if($bl_masuk==9)
		$jh_masuk=30-$tg_masuk+$tg_now;
		if($jh_masuk>29){
			$jh_masuk=$jh_masuk-30;
			$jb_masuk=$jb_masuk+1;
		}
	else if($bl_masuk==10)
		$jh_masuk=31-$tg_masuk+$tg_now;
		if($jh_masuk>30){
			$jh_masuk=$jh_masuk-31;
			$jb_masuk=$jb_masuk+1;
		}
	else if($bl_masuk==11)
		$jh_masuk=30-$tg_masuk+$tg_now;
		if($jh_masuk>29){
			$jh_masuk=$jh_masuk-30;
			$jb_masuk=$jb_masuk+1;
		}
	else
		$jh_masuk=31-$tg_masuk+$tg_now;
		if($jh_masuk>30){
			$jh_masuk=$jh_masuk-31;
			$jb_masuk=$jb_masuk+1;
		}

	if($jb_masuk>11){
		$jb_masuk=$jb_masuk-12;
		$jt_masuk=$jt_masuk+1;
	}
		
	if($bl_lahir==1)
		$jh_lahir=31-$tg_lahir+$tg_now;
		if($jh_lahir>30){
			$jh_lahir=$jh_lahir-31;
			$jb_lahir=$jb_lahir+1;
		}
	else  if($bl_lahir=2)
		if($kb_lahir==0){
			$jh_lahir=29-$tg_lahir+$tg_now;
			if($jh_lahir>28){
				$jh_lahir=$jh_lahir-29;
				$jb_lahir=$jb_lahir+1;
			}
		}else{
			$jh_lahir=28-$tg_lahir+$tg_now;
			if($jh_lahir>27){
				$jh_lahir=$jh_lahir-28;
				$jb_lahir=$jb_lahir+1;
			}
		}
	else if($bl_lahir==3)
		$jh_lahir=31-$tg_lahir+$tg_now;
		if($jh_lahir>30){
			$jh_lahir=$jh_lahir-31;
			$jb_lahir=$jb_lahir+1;
		}
	else if($bl_lahir==4)
		$jh_lahir=30-$tg_lahir+$tg_now;
		if($jh_lahir>29){
			$jh_lahir=$jh_lahir-30;
			$jb_lahir=$jb_lahir+1;
		}
	else if($bl_lahir==5)
		$jh_lahir=31-$tg_lahir+$tg_now;
		if($jh_lahir>30){
			$jh_lahir=$jh_lahir-31;
			$jb_lahir=$jb_lahir+1;
		}
	else if($bl_lahir==6)
		$jh_lahir=30-$tg_lahir+$tg_now;
		if($jh_lahir>29){
			$jh_lahir=$jh_lahir-30;
			$jb_lahir=$jb_lahir+1;
		}
	else if($bl_lahir==7)
		$jh_lahir=31-$tg_lahir+$tg_now;
		if($jh_lahir>30){
			$jh_lahir=$jh_lahir-31;
			$jb_lahir=$jb_lahir+1;
		}
	else if($bl_lahir==8)
		$jh_lahir=31-$tg_lahir+$tg_now;
		if($jh_lahir>30){
			$jh_lahir=$jh_lahir-31;
			$jb_lahir=$jb_lahir+1;
		}
	else if($bl_lahir==9)
		$jh_lahir=30-$tg_lahir+$tg_now;
		if($jh_lahir>29){
			$jh_lahir=$jh_lahir-30;
			$jb_lahir=$jb_lahir+1;
		}
	else if($bl_lahir==10)
		$jh_lahir=31-$tg_lahir+$tg_now;
		if($jh_lahir>30){
			$jh_lahir=$jh_lahir-31;
			$jb_lahir=$jb_lahir+1;
		}
	else if($bl_lahir==11)
		$jh_lahir=30-$tg_lahir+$tg_now;
		if($jh_lahir>29){
			$jh_lahir=$jh_lahir-30;
			$jb_lahir=$jb_lahir+1;
		}
	else
		$jh_lahir=31-$tg_lahir+$tg_now;
		if($jh_lahir>30){
			$jh_lahir=$jh_lahir-31;
			$jb_lahir=$jb_lahir+1;
		}

	if($jb_lahir>11){
		$jb_lahir=$jb_lahir-12;
		$jt_lahir=$jt_lahir+1;
	}
		
	$ms_kerja=$jt_masuk.' tahun '.$jb_masuk.' bulan '.$jh_masuk.' hari';
	$umur=$jt_lahir.' tahun '.$jb_lahir.' bulan '.$jh_lahir.' hari';
	$foto = $r_data['foto'];
		
echo "<div align='center'><img src='modul/foto/$foto' width='100' height='150' /></div>
	<hr>";
	
echo "<h3 align='left'><b>DATA KEPEGAWAIAN</b></h3>
	<table width='75%'>
		<tr>
			<td width='20.5%'>Nama Karyawan</td>
			<td width='1%'>:</td>
			<td width='25%'><b>$r_data[nama_kar]</b></td>
			<td width='4.5%'></td>
			<td width='14.3%'>Nomor Induk</td>
			<td width='1%'>:</td>
			<td width='35%'><b>$r_data[kode_kar]</b></td>
		</tr>
		<tr>
			<td>Departemen</td>
			<td>:</td>
			<td><b>$r_data[nama_dep]</b></td>
			 <td></td>
			<td>Jabatan</td>
			<td>:</td>
			<td><b>$r_data[jabatan]</b></td>
		</tr>
	
		<tr>
			<td>Tanggal Masuk</td>
			<td>:</td>
			<td><b>".jin_date_str($r_data['tanggal_msk'])."</b></td>
			<td></td>
			<td>Masa Kerja</td>
			<td>:</td>
			<td><b>$ms_kerja</b></td>
		</tr>
		<tr>
			<td>Lokasi Kerja</td>
			<td>:</td>
			<td><b>$r_data[lokasi]</b></td>
			<td> </td>
			<td>Kabupaten</td>
			<td>:</td>
			<td><b>$r_data[kab_lokasi]</b></td>				
		</tr>
		<tr>
			<td>Alamat</td>
			<td>:</td>				
			<td><b>$r_data[alamat]</b></td>
			<td> </td>
			<td>Desa</td>
			<td>:</td>
			<td><b>$r_data[desa]</b></td>
			<td> </td>
		</tr>
		<tr>
			<td>Kecamatan</td>
			<td>:</td>
			<td><b>$r_data[kecamatan]</b></td>
			<td> </td>
			<td>Kabupaten</td>
			<td>:</td>
			<td><b>$r_data[kabupaten]</b></td>
		</tr>
	</table>
	
	<table width='90%'>
		<tr>
			<td width='16.8%'>Tempat Lahir</td>
			<td width='1%'>:</td>
			<td width='20%'><b>$r_data[tempat_lhr]</b></td>
			<td width='4.4%'></td>
			<td width='12%'>Tanggal Lahir</td>
			<td width='1%'>:</td>
			<td width='10%'><b>".jin_date_str($r_data['tanggal_lhr'])."</b></td>
			<td> </td>
			<td>Umur</td>
			<td>:</td>
			<td width='20%'><b>$umur</b></td>
		</tr>
		<tr>
			<td>Jenis Kelamin</td>
			<td>:</td>
			<td><b>$r_data[sex]</b></td>
			<td> </td>
			<td>Status Kawin</td>
			<td>:</td>
			<td><b>$r_data[kawin]</b></td>
			<td> </td>
			<td>Jumlah Anak</td>
			<td>:</td>
			<td><b>$r_data[anak]</b></td>
		</tr>
		<tr>
			<td>Agama</td>
			<td>:</td>
			<td><b>$r_data[agama]</b></td>
			<td> </td>
			<td>Ukuran Baju</td>
			<td>:</td>
			<td><b>$r_data[ukuran]</b></td>
		</tr>
	</table>";

echo "<h3><b>DOKUMEN KARYAWAN</b></h3>
	<table>
		<tr>
			<td>Nomor Rekening</td>
			<td>:</td>
			<td width='20%'><b>$r_data[nomor_rek]</b></td>
			<td width='7.9%'> </td>
			<td>Nomor KTP</td>
			<td>:</td>
			<td><b>$r_data[nomor_ktp]</b></td>
		</tr>
		<tr>
			<td>No. BPJS Kesehatan</td>
			<td>:</td>
			<td><b>$r_data[nobpjs_kes]</b></td>
			<td> </td>
			<td>No. BPJS Ketenagakerjaan</td>
			<td>:</td>
			<td><b>$r_data[nobpjs_tk]</b></td>
		</tr>
		<tr>
			<td>Nomor DPLK</td>
			<td>:</td>
			<td><b>$r_data[nomor_dplk]</b></td>
			<td> </td>
			<td>Nomor Sertifikat</td>
			<td>:</td>
			<td><b>$r_data[nomor_stf]</b></td>
		</tr>
		<tr>
			<td>Nomor KTA</td>
			<td>:</td>
			<td><b>$r_data[nomor_kta]</b></td>
			<td> </td>
			<td>Nomor HP</td>
			<td>:</td>
			<td><b>$r_data[nomor_hp]</b></td>
			<td> </td>
			<td>E-Mail</td>
			<td>:</td>
			<td><b>$r_data[email]</b></td>	
		<tr>
	</table>";

echo "<h3><b>DATA PENGGAJIAN</b></h3>
	<table>
		<tr>
			<td width='24.5%'>Gaji Pokok</td>
			<td>:</td>
			<td><b>Rp</td>
			<td align='right'><b>".number_format($r_data['gaji_pokok'],0)."</b></td>
			<td width='19.7%'> </td>
			<td>Tunjangan Jabatan</td>
			<td>:</td>
			<td><b>Rp</td>
			<td align='right'><b>".number_format($r_data['tunj_jabatan'],0)."</b></td>
		</tr>
		<tr>
			<td>Insentif</td>
			<td>:</td>
			<td><b>Rp</td>
			<td align='right'><b>".number_format($r_data['insentif'],0)."</b></td>
			<td> </td>
			<td>Transport</td>
			<td>:</td>
			<td><b>Rp</td>
			<td align='right'><b>".number_format($r_data['transport'],0)."</b></td>
		</tr>
		<tr>
			<td>Tunjangan Pulsa</td>
			<td>:</td>
			<td><b>Rp</td>
			<td align='right'><b>".number_format($r_data['pulsa'],0)."</b></td>
			<td> </td>
			<td>Tunjangan Lain</td>
			<td>:</td>
			<td><b>Rp</td>
			<td align='right'><b>".number_format($r_data['tunj_lain'],0)."</b></td>
		</tr>			
	</table>";

echo "<h3><b>DATA INVENTARIS</b></h3>		
	<table id='theList' width='100%'>
		<tr>
			<th>No.</th>
			<th>Kode Inv.</th>
			<th>Nama Inventaris</th>
			<th>Jumlah Jatah</th>
			<th>Jumlah Ambil</th>
			<th>Tgl.Pengambilan</th>	
			<th>Jumlah Sisa</th>	
		</tr>";
			
		$sql1	 = "SELECT * FROM data_fas WHERE kode_kar='$kode' ORDER BY kode_fas";					
		$query1= mysql_query($sql1);

		$no=1;
		while($r_fas=mysql_fetch_array($query1)){
			$sisa=$r_fas['jatah']-$r_fas['jumlah'];
			echo "<tr>
				<td align='center'>$no</td>
				<td align='center'>$r_fas[kode_fas]</td>
				<td>$r_fas[nama_fas]</td>
				<td align='center'>$r_fas[jatah]</td>
				<td align='center'>$r_fas[jumlah]</td>
				<td align='center'>".jin_date_str($r_fas['tanggal_amb'])."</td>
				<td align='center'>$sisa</td>
				</tr>";
			$no++;
		}
echo "</table>";

echo "<table align='center'>
	<tr>
	<td>			
		<button name='close' id='close'>Tutup</button>
	</td>
	</tr>
	</table>";
?>